{ pkgs, myAliases, ...}:
{
  # To copy the Oh My Zsh configuration file to your home directory, run the following command:
  # $ cp -v $(nix-env -q –out-path oh-my-zsh | cut -d’ ’ -f3)/share/oh-my-zsh/templates/zshrc.zsh-template ~/.zshrc

  home.packages = with pkgs; [
    zsh oh-my-zsh
  ];

  programs.zsh = {
    enable = true;
    enableCompletion = true;
    autosuggestion.enable = true;
    syntaxHighlighting.enable = true;
    autocd = true;

    prezto.python = {
      virtualenvInitialize = true;
      virtualenvAutoSwitch = true;
    };

    shellAliases = myAliases;

    history.size = 10000;
    history.ignoreAllDups = true;
    history.path = "$HOME/.zsh_history";
    history.ignorePatterns = ["rm *" "pkill *" "cp *"];

    oh-my-zsh = {
      enable = false;
      plugins = [ "git" "aliases" "ansible" "common-aliases" "direnv" "zoxide" "bgnotify" "starship" "eza" "thefuck"  "docker" "fzf" "rsync" "sublime" "sudo" "systemd" "tmux" ];
      theme = "";
    };
    localVariables = {
      # aider-chat
      # LD_LIBRARY_PATH = "${pkgs.stdenv.cc.cc.lib}/lib:${pkgs.zlib}/lib";
    };
  };
}

#